Skip to main content
`Ctrl`+`K`

# SNESVIComputeInactiveSetFnorm

Computes the function norm for variational inequalities on the inactive set

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVIComputeInactiveSetFnorm(SNES snes, Vec F, Vec X, PetscReal *fnorm)

## Input Parameters

- snes - the `SNES` context

- F - the nonlinear function vector

- X - the `SNES` solution vector

## Output Parameter

- fnorm - the function norm

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESVINEWTONRSLS`, `SNESVINEWTONSSLS`, `SNESLineSearchSetVIFunctions()`

## Level

developer

## Location

src/snes/impls/vi/vi.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages